Skip to content

RegionController_findAll

GET
/regions
select
string
Example
id,name
search
string
Example
andaman

This search the name of the region, it needs type, if you want to search state then the type query should be state

type
required
string
Example
STATE
object
success
required
boolean
message
required
string
data
required
Array<object>
object
id
required
string
regionType
required
string
Allowed values: country state district subdistrict city
lgdCode
string
nullable
localName
required
string
name
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
subRegions
Array<object>
object
id
required
string
regionType
required
string
Allowed values: country state district subdistrict city
lgdCode
string
nullable
localName
required
string
name
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
parentRegion
object
id
required
string
regionType
required
string
Allowed values: country state district subdistrict city
lgdCode
string
nullable
localName
required
string
name
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time